package com.srs.flowable.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.common.doman.vo.TeacherVo;
import com.srs.flowable.domain.DisBasic;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 退伍复学申请Mapper接口
 *
 * @author srs
 * @date 2025-11-06
 */
public interface DisBasicMapper extends BaseMapper<DisBasic> {
    /**
     * 查询退伍复学申请
     *
     * @param id 退伍复学申请主键
     * @return 退伍复学申请
     */
    public DisBasic selectSysDisBasicById(Long id);

    public DisBasic selectSysDisBasicByStId(@Param("stId") String stId);
    /**
     * 查询退伍复学申请列表
     *
     * @param sysDisBasic 退伍复学申请
     * @return 退伍复学申请集合
     */
    List<DisBasic> selectSysDisBasicList(DisBasic sysDisBasic);

    //    学号查询
    List<TeacherVo> getShenDataInfo(String roleName);

    /**
     * 新增退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    @Options(useGeneratedKeys = true, keyProperty = "id", keyColumn = "id")
    int insertSysDisBasic(DisBasic sysDisBasic);

    /**
     * 修改退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    int updateSysDisBasic(DisBasic sysDisBasic);

    /**
     * 删除退伍复学申请
     *
     * @param id 退伍复学申请主键
     * @return 结果
     */
    int deleteSysDisBasicById(Long id);

    /**
     * 批量删除退伍复学申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysDisBasicByIds(Long[] ids);

    /**
     * 根据学生学号，获取辅导员在sys_user表信息
     * @param
     * @return
     */
    TeacherVo getCounselorInfo(@Param("stId") String stId);

}
